gnome-sharp 2.20.0.0 2.24.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gnome.CanvasShape Polygon canvas item

A canvas item for drawing polygon (multi sided) shapes.

- Constructor
  2.24.0.0
  To be added
  To be added
- Constructor
  2.24.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.24.0.0
  The that this item belongs to.
  Creates a new polygon
- Constructor
  2.24.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.24.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.24.0.0
  GLib.Property("points")
  Gnome.CanvasPoints a pointer. This can be created by a call to the constructor. a pointer.
- Method
  2.24.0.0
  System.Double `` `` `` `` FIXME Vertices of the polygon. X coordinates are in the even indices, and Y coordinates are in the odd indices. Number of points in the polygon. X coordinate of the point. Y coordinate of the point. Computes the distance between a point and a polygon. The distance from the point to the polygon, or zero if the point is inside the polygon.